@echo off

IF NOT EXIST "CCUPLOAD.DAT" GOTO Nicht_vorhanden

IF %1%.==.   GOTO Hinweis
IF %1% LSS 1 GOTO Hinweis
IF %1% GTR 4 GOTO Hinweis


CLS
echo ******
echo *****  Firmware-Restore fuer C-Control I 1.1 Mikrokontroller an COM%1:
echo ****
echo ***    Oder jetzt beenden mit Tasten 'Strg+C'
echo **
echo * evt. neuere Version unter: http://visit.ghn-sensorik.de/Lvm/restore/
echo -

PAUSE
CLS
echo **
echo **
echo **
echo **         +++ Restore auf Original Firmwareversion 1.1 +++
echo **
echo **  ACHTUNG: Seien Sie darauf vorbereitet, dass  SOFORT  nach diesem
echo **  Restore das alte Userprogramm gestartet werden wird,  selbst dann
echo **  wenn der Autostart-Jumper NICHT steckt (auch bei C-Control STATION).
echo **
echo **  Abschliessend muss ein Hardware-Reset manuell ausgeloest werden, um
echo **  das Start-Verhalten der Original Firmware vollstaendig zu reaktivieren.
echo **
echo **
echo **
echo **
echo _
PAUSE
CLS

echo ******
echo *****  Firmware-Restore fuer C-Control I 1.1 Mikrokontroller an COM%1:
echo ****
echo ***    C-Control einschalten und 2-mal Reset betaetigen (bei der Main-Unit
echo **     ist dies die rote Taste).
echo *
echo -

PAUSE
CLS

echo ******
echo *****  Firmware-Restore fuer C-Control I 1.1 Mikrokontroller an COM%1:
echo ****
echo ***    Schritt 1 von 2: Firmware-Restore wird vorbereitet
echo **
echo *

CALL 3rdparty\OMDLWIN\OMDLWIN.EXE Firmware\L-IMGLDR.DAT %1
echo -
TYPE Firmware\SPACE.CAP > COM%1:
PAUSE

cls
echo ******
echo *****  Firmware-Restore fuer C-Control I 1.1 Mikrokontroller an COM%1:
echo ****
echo ***    Schritt 2 von 2: Zuvor gesichertes Userprogramm uebertragen
echo **  (evt. Fehlermeldung zum Ende der Uebertragung kann ignoriert werden)
echo *

CALL 3rdparty\OMDLWIN\OMDLWIN.EXE CCUPLOAD.DAT %1
echo _
PAUSE

echo **
echo **     Firmware-Restore fuer C-Control I 1.1 Mikrokontroller an COM%1:
echo **
echo **     Bitte testen Sie, ob das zuvor gesicherte Userprogramm korrekt
echo **     funktioniert.
echo **
echo **     Tipps zu diesem Firmware-Restore
echo **     http://visit.ghn-sensorik.de/Lvm/restore/
echo **
echo **
echo _

echo (Bitte das PuTTY-Fenster schliessen, um fortzufahren)

CALL 3rdparty\PuTTY\putty.exe -serial COM%1 9600
echo .

GOTO Ende


:Nicht_vorhanden
 
cls
echo ??????
echo ?????  Firmware-Restore fuer C-Control I 1.1 Mikrokontroller
echo ????
echo ???    Es ist noch keine Sicherung vorhanden - bitte zuerst
echo ??   ' UPGRADE ' via Windows-Kommandozeile eintippen.
echo ?      
echo -
PAUSE
echo .

GOTO Ende


:Hinweis
cls
echo ??????
echo ?????  Firmware-Restore fuer C-Control I 1.1 Mikrokontroller an COM:'?'
echo ????
echo ???    Bitte einen COM-Port '1' bis '4' fuer Restore angeben.
echo ??     Beispiel: ' restore 3 ' (via Windows-Kommandozeile eintippen)
echo ?      
echo -
PAUSE
echo .

:Ende




